Bug 105667 - Crash in: `anonymous namespace'::ScCaptionCreator::UpdateCaptionPos()
Summary: Crash in: `anonymous namespace'::ScCaptionCreator::UpdateCaptionPos()
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.2.2 release
Hardware: All All
: highest critical
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.1 target:5.2.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-02-01 14:08 UTC by Timur
Modified: 2017-03-02 11:09 UTC (History)
5 users (show)

See Also:
Crash report or crash signature: ["`anonymous namespace'::ScCaptionCreator::UpdateCaptionPos()"]


Attachments
Valgrind trace (10.91 KB, application/x-bzip)
2017-02-05 12:30 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2017-02-01 14:08:47 UTC
This bug was filed from the crash reporting server and is br-74b65776-8b0b-4094-8cc4-eeffea082f65.
=========================================
http://crashreport.libreoffice.org/stats/crash_details/74b65776-8b0b-4094-8cc4-eeffea082f65

http://crashreport.libreoffice.org/stats/signature/%60anonymous%20namespace%27::ScCaptionCreator::UpdateCaptionPos%28%29

1. Open attachment 68921 [details] from Bug 56279 and Bug 56294
2. Select cells B5:C5 using Mouse (in Bug 56294 you select A5:B5)
3. Menu 'Format -> Merge Cells -> Merge and Center Cells
4. Undo -> you get crash

Regression.
Comment 1 Telesto 2017-02-01 14:50:09 UTC
Confirming crash with
Version: 5.4.0.0.alpha0+
Build ID: 2670ca3fc597decae78499d1397539668eb84e5e
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-01-31_05:32:46

and with
Versie: 5.2.2.1 
Build ID: 3c2231d4aa4c68281f28ad35a100c092cff84f5d
CPU Threads: 4; Versie besturingssysteem:Windows 6.2; UI Render: standaard; 
Locale: nl-NL (nl_NL); Calc: CL

but not with
Version: 5.1.0.3
Build ID: 5e3e00a007d9b3b6efb6797a8b8e57b51ab1f737
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; 
Locale: en-US (nl_NL)
Comment 2 Xisco Faulí 2017-02-01 15:16:44 UTC
Regression introduced in range https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=a420a4346ec21ea561f1321767d6a5eed98df02b..45701913f642b17aabd67b52de9002cc79cf07ae

@Aron, would you mind bisecting this one?
Comment 3 Aron Budea 2017-02-02 00:09:45 UTC Comment hidden (bibisection)
Comment 4 Aron Budea 2017-02-02 00:11:20 UTC
The first time the crash happens on undo started with the commit referenced below. Adding Cc: to Dennis Francis (author), also adding Cc: to Eike Rathke (committer). Please take a look.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=7c0f6b9d0fb8d7d9e54865ccf1047bb8f8148101
author		Dennis Francis <dennisfrancis.in@gmail.com>	2016-02-12 20:59:12 (GMT)
committer	Eike Rathke <erack@redhat.com>	2016-03-08 18:06:09 (GMT)

"tdf#94561 : Create notes drawing objects only once on sheet copy"

Note that before that commit there's already a crash on exit. If it is still there after this is fixed, that bug has to be bibisected separately.
Comment 5 Julien Nabet 2017-02-05 12:30:56 UTC
Created attachment 130914 [details]
Valgrind trace

On pc Debian x86-64 with master sources updated today, I could reproduce this.

I attached a Valgrind trace.
Comment 6 Eike Rathke 2017-02-17 14:20:39 UTC
Investigating.
Comment 7 Commit Notification 2017-02-17 23:03:34 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a627c44026fcf883918f84bddd1c3b745e1f898c

Resolves: tdf#105667 forget target area's caption pointer in Merge Undo

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Eike Rathke 2017-02-17 23:13:44 UTC
Pending review
https://gerrit.libreoffice.org/34384 for 5-3
https://gerrit.libreoffice.org/34385 for 5-2
https://gerrit.libreoffice.org/34386 for 5-2-6
Comment 9 Timur 2017-02-20 09:47:48 UTC
Great.
Comment 10 Commit Notification 2017-02-21 13:39:07 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=45fd903d5ed6007271485ce3fa7c2e78bdc286f8

unit test for cell merge with note caption undo, tdf#105667

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2017-02-23 12:26:06 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4ecdb497d540e69590476919f4cb1d02a8025c2e&h=libreoffice-5-3

Resolves: tdf#105667 forget target area's caption pointer in Merge Undo

It will be available in 5.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2017-02-27 14:12:31 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-2-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=06a3f692dc853f1762927370dcc34bc50273273d&h=libreoffice-5-2-6

Resolves: tdf#105667 forget target area's caption pointer in Merge Undo

It will be available in 5.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2017-02-28 16:25:11 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0eda0807f9b0ba81035cf4bd630e50a27ba2678b&h=libreoffice-5-2

Resolves: tdf#105667 forget target area's caption pointer in Merge Undo

It will be available in 5.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2017-03-02 10:31:17 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-3-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=19bbc07e67d1a6b5c25a858a18994ee36770e79a&h=libreoffice-5-3-1

Resolves: tdf#105667 forget target area's caption pointer in Merge Undo

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.